Skip to main content
POST
/
v1.0.0
/
link
/
users
/
{userId}
/
vendor-accounts
/
{vendorAccountId}
/
meters
Link meters
curl --request POST \
  --url https://api.energy-hub.io/v1.0.0/link/users/{userId}/vendor-accounts/{vendorAccountId}/meters \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "externalMeters": [
    "8413731391660801"
  ]
}
'
import requests

url = "https://api.energy-hub.io/v1.0.0/link/users/{userId}/vendor-accounts/{vendorAccountId}/meters"

payload = { "externalMeters": ["8413731391660801"] }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({externalMeters: ['8413731391660801']})
};

fetch('https://api.energy-hub.io/v1.0.0/link/users/{userId}/vendor-accounts/{vendorAccountId}/meters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "isLinked": true,
    "name": "Fronius Primary Meter",
    "externalId": "8413731391660801",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "siteName": "My Home"
  }
]

Authorizations

X-API-KEY
string
header
required

API key used for authorization and authentication.

Path Parameters

userId
string
required

User ID

vendorAccountId
string<uuid>
required

Vendor account ID

Body

application/json

Object for meters IDs request that should be added to the Energy Hub.

externalMeters
string[]
required

List of external IDs of meters to be linked to the Energy Hub.

List of external IDs of meters to be linked to the Energy Hub.

Example:
["8413731391660801"]

Response

Created

isLinked
boolean
required

Indicates if the meter is linked to the Energy Hub.

vendor
enum<string>
required

The vendor of the meter.

Available options:
FRONIUS,
TESLA,
HUAWEI,
SMA
name
string
required

The display name of the meter.

Example:

"Fronius Primary Meter"

externalId
string
required

The ID of the meter in external vendor system.

Example:

"8413731391660801"

id
string<uuid>
required

The ID of the meter.

siteName
string

The site name of the home energy device.

Example:

"My Home"